# stuff to be implemented externally:
Source10: kmodtool
%define   kmodtool bash %{SOURCE10}
# end stuff to be ...

# hardcode for now:
%{!?kversion: %define kversion 2.6.19-1.2911.6.4.fc6}

%define kmod_name acerhk
%define kverrel %(%{kmodtool} verrel %{?kversion} 2>/dev/null)

%define upvar ""
%ifarch i686
%define paevar PAE
%endif
%ifarch ppc
%define smpvar smp
%endif
%ifarch i686 x86_64
%define xenvar xen
%define kdumpvar kdump
%endif
%ifarch i686 x86_64 ppc
%define kdumpvar kdump
%endif
%{!?kvariants: %define kvariants %{?upvar} %{?smpvar} %{?paevar} %{?xenvar} %{?kdumpvar}}


Summary:	Acer Hotkey driver
Name: 		%{kmod_name}-kmod
Version: 	0.5.35
Release: 	1.%(echo %{kverrel} | tr - _)
License: 	GPL
Group: 		System Environment/Kernel
URL:		http://www.cakey.de/acerhk/
Source0: 	http://www.cakey.de/acerhk/archives/acerhk-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch:	i586 i686

%description
This package contains the driver for managing special buttons and wireless
antenna on Acer and compatible laptops.


# magic hidden here:
%{expand:%(%{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null)}


%prep
# to understand the magic better or to debug it, uncomment this:
#{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null
#sleep 5

%setup -q -c -T -a 0
## pick from madwifi-kmod 
grep -rlF '<linux/config.h>' %{kmod_name}-%{version} \
| xargs sed -i -e 's|<linux/config.h>|<linux/autoconf.h>|' 
for kvariant in %{kvariants} ; do
    cp -a %{kmod_name}-%{version} _kmod_build_$kvariant
done


%build
for kvariant in %{kvariants}
do
    ksrc=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
    cd _kmod_build_$kvariant
    make KVERS=%{kverrel}${kvariant} KSRC="${ksrc}" KBUILD="${ksrc}"
    cd ..
done


%install
rm -rf $RPM_BUILD_ROOT
for kvariant in %{kvariants}
do
    install -D -m 0644 _kmod_build_$kvariant/%{kmod_name}.ko $RPM_BUILD_ROOT/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name}/%{kmod_name}.ko
done
chmod 0755 $RPM_BUILD_ROOT/lib/modules/*/extra/%{kmod_name}/*


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Fri Mar 17 2007 kwizart < kwizart at gmail.com > - 0.5.35-1
- Update to 0.5.35

* Tue Oct 17 2006 kwizart < kwizart at gmail.com > - 0.5.34-1
- include config.h is deprecated in 2.6.18-1.2200.fc5

* Fri Sep 8 2006 Marcin Grabda (grabka) <grabka [AT] gmail [DOT] com> - 0.5.34
- first version 0.5.34
